io.undertow.util

## Class ETag

- java.lang.Object
- - io.undertow.util.ETag

    public class ETag
    extends Object

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ETag(boolean weak, String tag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getTag()`
`int` `hashCode()`
`boolean` `isWeak()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ETag

    public ETag(boolean weak,
                String tag)

### Method Detail

#### isWeak

    public boolean isWeak()

#### getTag

    public String getTag()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`